aboutsummaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorCharlie Shepherd <masterdriverz@gentoo.org>2008-01-25 14:44:01 +0000
committerCharlie Shepherd <masterdriverz@gentoo.org>2008-01-25 14:44:01 +0000
commit76a2e464fb53cbb4f1745a4281b185e550b4589a (patch)
tree492afa17c9ed1360c9b1bf2fbc20cd35a8aee722 /scripts
parent651e253b836d98f0fa1ed38e2aa0cf1e701f9171 (diff)
downloadtoybox-76a2e464fb53cbb4f1745a4281b185e550b4589a.tar.gz
Die on compilation or stripping failure
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/make.sh5
1 files changed, 3 insertions, 2 deletions
diff --git a/scripts/make.sh b/scripts/make.sh
index c5989334..ea67e121 100755
--- a/scripts/make.sh
+++ b/scripts/make.sh
@@ -93,5 +93,6 @@ TOYFILES=$(cat .config | sed -nre 's/^CONFIG_(.*)=y/\1/;t skip;b;:skip;s/_.*//;p
echo "Compile toybox..."
-$DEBUG $CC $CFLAGS -I . -o toybox_unstripped $OPTIMIZE main.c lib/*.c $TOYFILES
-$DEBUG $STRIP toybox_unstripped -o toybox
+$DEBUG $CC $CFLAGS -I . -o toybox_unstripped $OPTIMIZE \
+ main.c lib/*.c $TOYFILES || exit 1
+$DEBUG $STRIP toybox_unstripped -o toybox || exit 1